## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanEXSLTFunctionNodeSet Class Reference

Inheritance diagram for XalanEXSLTFunctionNodeSet:

[legend]
Collaboration diagram for XalanEXSLTFunctionNodeSet:

[legend]
List of all members.

## Public Member Functions

- XalanEXSLTFunctionNodeSet ()
- virtual ~XalanEXSLTFunctionNodeSet ()
- virtual XalanEXSLTFunctionNodeSet * clone (MemoryManagerType &theManager) const
    Create a copy of the function object.

## Protected Member Functions

- virtual const XalanDOMString & getError (XalanDOMString &theBuffer) const
    Get the error message to report when the function is called with the wrong number of arguments.
- virtual const XalanDOMString & getInvalidArgumentTypeError (XalanDOMString &theResult) const

## Constructor & Destructor Documentation

XalanEXSLTFunctionNodeSet::XalanEXSLTFunctionNodeSet | ( |  | ) |

virtual XalanEXSLTFunctionNodeSet::~XalanEXSLTFunctionNodeSet | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual XalanEXSLTFunctionNodeSet* XalanEXSLTFunctionNodeSet::clone | ( | MemoryManagerType & | theManager | ) | const`[virtual]`

| Create a copy of the function object. Returns: pointer to the new object Reimplemented from FunctionNodeSet.

virtual const XalanDOMString& XalanEXSLTFunctionNodeSet::getError | ( | XalanDOMString & | theBuffer | ) | const`[protected, virtual]`

| Get the error message to report when the function is called with the wrong number of arguments. Returns: function error message Reimplemented from FunctionNodeSet.

virtual const XalanDOMString& XalanEXSLTFunctionNodeSet::getInvalidArgumentTypeError | ( | XalanDOMString & | theResult | ) | const`[protected, virtual]`

| Reimplemented from FunctionNodeSet.

The documentation for this class was generated from the following file:

- XalanEXSLTCommonImpl.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.